
package Term::Size::Perl::Params; 

# created Sun Jan 22 22:02:34 2012

use vars qw($VERSION);
$VERSION = 0.029;

=head1 NAME

Term::Size::Perl::Params - parameters for Term::Size::Perl

=head1 SYNOPSIS

    $href = Term::Size::Perl::Params

=head1 DESCRIPTION

The configuration parameters C<Term::Size::Perl> needs to
know for retrieving the terminal size with C<ioctl>.

=cut

sub params {
    return (
        winsize => {
            sizeof => 8,
            mask => 'S!S!S!S!'
        },
        TIOCGWINSZ => {
            value => 1074295912,
            definition => qq{(((2U) << (((0+8)+8)+13)) | ((('t')) << (0+8)) | (((104)) << 0) | ((((sizeof(struct winsize)))) << ((0+8)+8)))}
        }
    );
}

1;
